You are not logged in.

#1 2018-04-25 17:42:23

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 823
Website

problems when upgrading glibc (if libnsl is installed)

libnsl: /usr/include/rpcsvc/nis.h exists in filesystem
libnsl: /usr/include/rpcsvc/nis.x exists in filesystem
libnsl: /usr/include/rpcsvc/nis_callback.h exists in filesystem
libnsl: /usr/include/rpcsvc/nis_callback.x exists in filesystem
libnsl: /usr/include/rpcsvc/nis_object.x exists in filesystem
libnsl: /usr/include/rpcsvc/nis_tags.h exists in filesystem
libnsl: /usr/include/rpcsvc/nislib.h exists in filesystem
libnsl: /usr/include/rpcsvc/yp.h exists in filesystem
libnsl: /usr/include/rpcsvc/yp.x exists in filesystem
libnsl: /usr/include/rpcsvc/yp_prot.h exists in filesystem
libnsl: /usr/include/rpcsvc/ypclnt.h exists in filesystem
libnsl: /usr/include/rpcsvc/yppasswd.h exists in filesystem
libnsl: /usr/include/rpcsvc/yppasswd.x exists in filesystem
libnsl: /usr/include/rpcsvc/ypupd.h exists in filesystem
libnsl: /usr/lib/libnsl.so exists in filesystem
Errors occurred, no packages were upgraded.

I managed to fix the issue by first uninstalling libnsl, then upgrading glibc, then reinstalling packages
which were depending on libnsl.

Offline

#2 2018-04-25 17:52:46

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 823
Website

Re: problems when upgrading glibc (if libnsl is installed)

The problem persists when trying to reinstall libnsl, this could be a problem from upstream.
I can reproduce conflicts between libnsl and glibc also on a 64-bit machine.

Offline

#3 2018-04-25 18:11:42

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 823
Website

Re: problems when upgrading glibc (if libnsl is installed)

Upstream works. First upgrading glibc, then the rest worked.

Offline

Board footer

Powered by FluxBB